Subject: Re: [bug#71707] [PATCH v3 0/2] Fix tests for elixir dependents

From: Andrew Tropin <[email-masked]>
Date: Tue, 02 Jul 2024 07:35:09 +0400

On 2024-06-22 14:10, Igor Goryachev via Guix-patches via wrote:

> This update includes working solution for not to prune dependencies
> paths for elixir dependents during test executions. Also returned
> back tests for elixir-machete package.

Hi Igor!

Could you resend the whole patch series, please?

The usual approach is to send all commits on every re-roll, even if they
didn't change, this way it's easy to pick and apply the whole patch
series, otherwise it will require to cherrypick and mix patches from
different re-rolls, which is inconvinient and also very error prone.

>
> Igor Goryachev (2):
>   build-sysem/mix: Preserve code paths.
>   gnu: elixir-machete: Update to 0.3.3.
>
>  gnu/packages/elixir-xyz.scm     | 4 ++--
>  guix/build/mix-build-system.scm | 9 +++++++--
>  2 files changed, 9 insertions(+), 4 deletions(-)
>
>
> base-commit: e3f87960915e3ef0b1d6a5a15281b3d4e9ee4d38
> prerequisite-patch-id: f67c13fc4633d7231adde19419b58d26786f22e6
> prerequisite-patch-id: 38d4eedd556dcbb3a7226893428e17dc11422e93
> prerequisite-patch-id: b7a9d65b9096c9f81c9177fd9223327db3f88fdc
> prerequisite-patch-id: 8529c9bfb7218c45d581ba238cd080e61a04348e
> prerequisite-patch-id: 1415bdf2ac831e4403f4984ac50459e50e614fe5
> prerequisite-patch-id: 27bfae4ab49135d63c37cae67d77adf32dd125e9
> prerequisite-patch-id: 3401dc3320e0815193b0a43818fb6acbed551f8a
> prerequisite-patch-id: 485aa6852930bd142948e65496f2a9f11eeada87
> prerequisite-patch-id: 0e16cef28f01b31ec9776fed0cfc080f53f37551
> prerequisite-patch-id: 522c512f834123b723098988b92ae77c6a6eb216
> prerequisite-patch-id: 539cddcca36740084cc55a4bdd8c61f33c94d788
> prerequisite-patch-id: 7957227db42c2c55475f4821840763b1aaa237f0
> prerequisite-patch-id: 71acf56137b93b2d65547037c9620ac46a5470cf

-- 
Best regards,
Andrew Tropin